## bootcd 2.08

=== Makefile ===
# Makefile 

TARGETS=	bootcdwrite
USRLIBS=	bootcd.lib bootcd2disk bootcd2disk.conf S13bootcdflop.sh \
		bootcdflopcp
CONFFILES=	bootcdwrite.conf
DOC=		FAQ

all: $(TARGETS)

clean:

install:
	@cp ${TARGETS} ${DESTDIR}/usr/bin
	@cp $(CONFFILES) $(DESTDIR)/etc/bootcd
	@cp $(USRLIBS) $(DESTDIR)/usr/lib/bootcd
	@cp $(DOC) $(DESTDIR)/usr/share/doc/bootcd

=== debian/changelog ===
bootcd (2.08) unstable; urgency=low

  * Corrected: Created CD contains predefined bootcd2disk.conf again

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Thu, 25 Oct 2001 13:10:43 +0200

bootcd (2.07) unstable; urgency=low

  * NOT_TO_RAM now works with FASTBOOT. Closes: #113690
  * /proc will not be searched anymore.
  * better calculation of needed space.
  * more and smaller functions in source for easier maintenance.
  * added TODO in bootcdmanpage for wishlist item: devfs. 

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri,  5 Oct 2001 07:32:54 +0200

bootcd (2.06) unstable; urgency=low

  * compressed images of the ramdisk are used to shorten boot time (as
    suggested by Francois Gelis <gelis@bnl.gov>)
  * bootcd2disk uses lilo delay 20 instead of 0 by default

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Sun,  3 Jun 2001 10:46:33 +0200

bootcd (2.05) unstable; urgency=low

  * Added "Build-Depends: debmake"
  * Architecture changed from any to all. Closes: #84465

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 23 Feb 2001 10:27:00 +0100

bootcd (2.04) unstable; urgency=low

  * FAQ will be installed in /usr/share/doc/bootcd
  * Each PC installed with bootcd2disk gets a nunique ssh_host_key,
    if defined in bootcd2disk.conf

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Sun, 28 Jan 2001 17:21:10 +0100

bootcd (2.03) unstable; urgency=low

  * closes: #80548.
  * Added kernel checks
  * Checking of variables works since version 2.01.
  * apt-get clean will only be done if CLEAN_VAR=yes.
  * User will be asked before calling "apt-get clean".
  * stdout of ssh-keygen will be ignored
  * I try to answer "What has to be compiled in the kernel" 
    in the FAQ. 
  * Solved Bug in NOT_TO_RAM Feature and better Documentation.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Wed,  3 Jan 2001 14:18:07 +0100

bootcd (2.02) unstable; urgency=low

  * Minor Changes: Comments, Manpage, Checks

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Thu, 28 Dec 2000 13:36:40 +0100

bootcd (2.01) unstable; urgency=low

  * bootcd2disk can now automatically find a harddisk, make partitions on it,
    copy cd to it and make it bootable
  * Solved Bug: Variables in conffiles can now have spaces
  * Version Number has no Debian Revision any more, because bootcd is
    a debian only package
  * Package is now build using cvs-buildpackage

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 22 Dec 2000 10:39:17 +0100

bootcd (1-6) unstable; urgency=low

  * bootcdwrite: added -t msdos when mounting cdboot.img because
    autodetection failed sometimes
  * deleted unneeded dependency to package makepatch
  * bootcdwrite: added option only_floppy
  * bootcdwrite: calling syslinux when creating floppy to get better
    boot performance
  * listing the possibility of installing new systems with
    bootcd2disk in description
  * since mkisofs 1.13 we have to use the option -graft-points. Closes: #74608

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Sun, 15 Oct 2000 18:47:23 +0200

bootcd (1-5) unstable; urgency=low

  * now bootcdflopcp recognizes empty files too.
  * extended description now really extended. closes: #67840.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 28 Jul 2000 13:34:35 +0200

bootcd (1-4) unstable; urgency=low

  * bootcdflopcp has been changed. There will be no only diffs between ram
    and cd on floppy anymore, but whole files. This is necessary to be able
    to use newer bootcd versions, with old floppy configurations where patch
    or applypatch would not work.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 28 Jul 2000 13:34:28 +0200

bootcd (1-3) unstable; urgency=low

  * If booting from CD-drive does not work, booting from floppy is
    possible.
  * Checking for a lot of possible problems is now done before 
    starting to burn the cd.
  * Smaller Bugfixes.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri, 12 May 2000 13:57:17 +0200

bootcd (1-2) unstable; urgency=low

  * bootcd has survived first tests

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Thu,  4 May 2000 18:15:43 +0200

bootcd (1-1) unstable; urgency=low

  * Initial release.
  *
  * 

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Tue, 11 Apr 2000 11:53:10 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd_schumacher@hp.com>
Standards-Version: 3.1.1
Build-Depends: debmake

Package: bootcd
Architecture: all
Suggests: ssh
Depends: cdrecord, mkisofs, cpio, fdutils, syslinux, bc
Description: run your system from cd without need for disks.
 Copy your running Debian System on CD with the command bootcdwrite.
 If your system has no CD-Writer you can build a bootcd via NFS on a 
 remote System with CD-Writer. When you run your system from CD you do 
 not need any disks. All changes will be done in ram. To reuse this 
 changes at next boottime you can save them on FLOPPY with the command 
 bootcdflopcp. If booting from your CD-drive is not supported, booting 
 from FLOPPY is possible. It is possible to install a new system from 
 the running CD with the command bootcd2disk. Bootcd2disk can also find 
 a target disk, format it and make it bootable automatically.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=bootcd

build:
	$(checkdir)
	
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## bootcd 2.41

=== Makefile ===
# Makefile 

SBIN=		bootcdmkinitrd
BIN=		bootcdwrite
USRLIBS=	bootcd-run.lib bootcd-check.lib bootcd-dvdplus.lib \
		bootcd-hppa.lib bootcd2disk.conf default.txt bootcd-ia64.lib
USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe \
		S13bootcdflop.sh S12bootcdram.sh
CONFFILES=	bootcdwrite.conf
DOC=		FAQ
TARGETS=	ChangeLog.gz

all: $(TARGETS)

ChangeLog.gz:	ChangeLog
	@gzip -9 -c ChangeLog >ChangeLog.gz

clean:
	@rm -f ChangeLog.gz

install:
	@install -m 755 -o root -g root ${SBIN} ${DESTDIR}/usr/sbin
	@install -m 755 -o root -g root ${BIN} ${DESTDIR}/usr/bin
	@install -m 644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/bootcd
	@install -m 644 -o root -g root $(USRLIBS) $(DESTDIR)/usr/share/bootcd
	@install -m 755 -o root -g root $(USREXLIBS) $(DESTDIR)/usr/share/bootcd
	@install -m 644 -o root -g root $(DOC) $(DESTDIR)/usr/share/doc/bootcd

=== debian/changelog ===
bootcd (2.41) unstable; urgency=low

  * Added Patch from Mark Clarkson <markjclarkson@hotmail.com> to solve
    the ERROR "mount: mount point /dev is a symbolic link to nowhere" when
    using bootcdwrite with option DEVFS=yes 
  * Changed dependencies for package bootcd-mkinitrd as recommended by Cristian
    Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>. Closes: #251855

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 27 May 2004 19:41:06 +0200

bootcd (2.40) unstable; urgency=low

  * Carsten Dinkelmann  <din@foobar-cpa.de> added wildcard DISK to 
    bootcd2disk(.conf) to parametrize partitions
  * Carsten Dinkelmann  <din@foobar-cpa.de> added function after_copy to
    support some action like remounting after the copying
  * Added -s Option.  
  * Now only ssh Versions which support Option -t are supported by 
    bootcd. Closes: #240655
  * Changed bootcdmkinitrd to use old renamed package "discover1" (v1) and 
    new package "discover" (v2). Closes: #249437
  * bootcdmkinitrd now supports lilo and grub.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 17 May 2004 09:21:44 +0200

bootcd (2.39) unstable; urgency=low

  * Commented out debug code. Closes: #239081

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 22 Mar 2004 09:02:17 +0100

bootcd (2.38) unstable; urgency=low

  * Added -w option for lilo to get less warnings
  * Added -P option to df to be more portable. This prevents 
    wraps in long df output. Closes: #233617
  * Because sfdisk is not always able to automatically detect
    a disk usable for bootcd2disk, own tests are added
  * Use an easier method instead of "type" to check if mkzftree
    is installed. Closes: #233616

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 12 Mar 2004 09:51:02 +0100

bootcd (2.37) unstable; urgency=low

  * Fixed uninstallable conflict of bootcd-mkinitrd. Closes: #232398 

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 12 Feb 2004 15:46:45 +0100

bootcd (2.36) unstable; urgency=low

  * Upgraded to Debian Standards-Version: 3.6.0
  * Fixed duplicate entry in bootcd.conffile. Closes: #220326
  * bootcd now does no longer require to find locatedb. Closes: #219060
  * fixed bootcd2disk to better detect a DISK automatically

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 17 Nov 2003 10:10:05 +0100

bootcd (2.35) unstable; urgency=low

  * This release was made on alioth.debian.org by Thomas Kennwallner and
    Bernd Schumacher.
  * Announced bootcd mailing list bootcd-user@lists.alioth.debian.org in FAQ.
  * Fixed bootcdmkinitrd. Include cdrom.o in initrd (closes alioth #300087).
  * All other changes done on alioth.debian.org can be looked up in ChangeLog.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 26 Aug 2003 22:53:51 +0200

bootcd (2.34) unstable; urgency=low

  * added bootcdwrite support for ia64
  * added bootcd2disk support for ia64
  * added logging of modified, checked CONFVARS in ERRLOG
  * moved hppa functions from bootcdwrite to bootcd-hppa.lib
  * changed function err to be able to run, if variable ERRLOG is undefined
  * added support for VFAT Filesystem to bootcd2disk and bootcd2disk.conf
  * added support for /etc/elilo.conf to bootcd2disk and bootcd2disk.conf
  * changed function chnglist to handle double //. This patches a bug
    that prevented to define DISABLE_CRON with more than one starting / which
    is the case if SRCDISK=/ and DISABLE_CRON="$SRCDISK/<file>".
  * added option -d to bootcdwrite, which lets developers of bootcd use
    local .lib files if they are present. This function will not be shown
    in the usage message.
  * changed bootcd order of calling check_functions and displaying
    warning messages.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 11 Aug 2003 11:27:27 +0200

bootcd (2.33) unstable; urgency=low

  * Added patch from Thomas Krennwallner <djmaecki@ull.at>
    to disable /etc/cron.daily/{find,standard,security} while running
    from read-only bootcd, see DISABLE_CRON in bootcdwrite.conf
  * Added patches from Thomas Krennwallner <djmaecki@ull.at>
    to add a hint in the FAQ
    to enable wtmp record keeping while running from bootcd
    to disable checking the cdrom root device, even when using TO_FSTAB and
    to copy all symlinks to /var.
  * Fixed a problem found by Yildiz Murat <murat.yildiz@atosorigin.com>
    regaring an unset variable in bootcd2disk.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 23 Jul 2003 11:13:08 +0200

bootcd (2.32) unstable; urgency=low

  * POSIX compliant: bootcdwrite, bootcd2disk, bootcd-check.lib, 
    bootcdflopcp and S12bootcdram.sh have been changed to be able to 
    run them not only with bash, but also with dash. Closes: #176815
    The following changes have been made:
    1) set -u; for i in $*; do ... -> 
       set -u; if [ $# -gt 0 ]; then for i in $*; do ... fi
    2) trap ... EXIT SIGINT ->
       trap ... 0 2
    3) if [ "..." == "..." ]; then ->
       if [ "..." = "..." ]; then
    4) let/expr changes, for example: 
       let SWAPS=2*$MEMS/1024 ->
       SWAPS=$(expr 2 \* $MEMS / 1024)
  * bootcd no longer depends on cdrecord instead, if ISO_ONLY=no it will
    be checked if cdrecord is installed. Closes: #198480
  * bootcd2disk deletes symlink from /etc/mtab to /proc/mounts. Closes: #199841
  * Resolved syntax error in syslinux.cfg.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu,  3 Jul 2003 19:38:28 +0200

bootcd (2.31) unstable; urgency=low

  * Resolved bug: Bad path in /usr/share/bootcd/bootcd-check.lib. 
    Closes: #195522
  * Resolved bug: patch to get rid of "cpio: truncated inode number" messages
    Closes: #194007

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon,  2 Jun 2003 10:53:50 +0200

bootcd (2.30) unstable; urgency=low

  * Resolved bug "compressed images fail to boot, files in wrong directory",
    as described by Ludi de Souza <lnds@hotmail.com>. Closes: #190693
  * Resolved bug "cannot boot images created using ISOLINUX 2.00, .img 


=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
Build-Depends-Indep: debmake, debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: bootcd
Architecture: all
Suggests: ssh, bootcd-dvdplus, bootcd-hppa, bootcd-mkinitrd
Depends: mkisofs, cpio, fdutils, file, dosfstools
Recommends: syslinux, cdrecord
Description: run your system from cd without need for disks
 This Package should be installed on a system with CD- or DVD-Writer.
 Copy your running Debian System on CD with the command bootcdwrite.
 If your system has no CD-Writer you can build a bootcd via NFS on a 
 remote System with CD-Writer or you can only create an ISO image. 
 When you run your system from CD you do not need any disks. All 
 changes will be done in ram. To reuse this changes at next boot time 
 you can save them on FLOPPY with the command bootcdflopcp. If booting
 from your CD-drive is not supported, booting from FLOPPY is possible. 
 It is possible to install a new system from the running CD with the 
 command bootcd2disk. Bootcd2disk can also find a target disk, format 
 it and make it bootable automatically. Bootcd also supports 
 initrd root fs, devfs, transparent-compression ISO 9660 fs and 
 syslinux/isolinux.

Package: bootcd-dvdplus
Architecture: all
Depends: bootcd (>=2.40), dvdplusrw | dvd+rw-tools
Description: bootcd extension to use DVD+ media
 This Package should be installed on a system with DVD-Writer.
 This extension for bootcd is needed to burn DVD+ media with a DVD+RW drive.
 It is not necessary to burn CD media with a DVD+RW drive.

Package: bootcd-hppa
Architecture: all
Depends: bootcd (>=2.40), palo
Description: bootcd extension to create images that can boot on parisc/hppa
 This Package should be installed on a system with CD- or DVD-Writer.
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on parisc/hppa.

Package: bootcd-ia64
Architecture: all
Depends: bootcd (>=2.40), elilo
Description: bootcd extension to create images that can boot on ia64
 This Package should be installed on a system with CD- or DVD-Writer.
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on ia64.

Package: bootcd-mkinitrd
Architecture: all
Depends: initrd-tools, discover | discover1, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 2.40)
Description: bootcd extension to create an initrd-image usable for bootcd
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. 
 This Package should be installed on a system you want to copy to cd, if the
 kernel uses initrd (as all prebuild debian 2.4 kernels do).
 With the command bootcdmkinitrd your initrd.img can be changed to use 
 discover.

## bootcd 2.45

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,11 @@
 SBIN=		bootcdmkinitrd
 BIN=		bootcdwrite
 USRLIBS=	bootcd-run.lib bootcd-check.lib bootcd-dvdplus.lib \
-		bootcd-hppa.lib bootcd2disk.conf default.txt bootcd-ia64.lib
+		bootcd-hppa.lib bootcd2disk.conf default.txt bootcd-ia64.lib \
+		bootcd-i386.lib
 USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe \
 		S13bootcdflop.sh S12bootcdram.sh
-CONFFILES=	bootcdwrite.conf
+CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg
 DOC=		FAQ
 TARGETS=	ChangeLog.gz

=== debian/changelog ===
bootcd (2.45) unstable; urgency=low

  * applied patch from Mark Clarkson <markjclarkson@btinternet.com>
    to fix the bug reported by Philipp Matthias Hahn <pmhahn@debian.org>
    which breaks boot with DEVFS=yes because /dev is missing on the boot
    image. Closes: #282889
  * added new config option NOTCOMPRESSED

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri,  3 Dec 2004 16:49:45 +0100

bootcd (2.44) unstable; urgency=low

  * Added new package bootcd-i386, for i386-specific dependencies
    and functions. This bug was reported by 
    Adrian Bunk <bunk@fs.tum.de>. Closes: #273356
  * Do not copy /sys anymore. This bug was reported by
    Alessandro Polverini <alex@nibbles.it> . Closes: #272275
  * Corrected spelling errors reported by Alessandro Polverini
    <alex@nibbles.it>. Closes: #272273
  * Fixed small bug, which could be seen, when calling bootcdmkinitrd
    without option. Closes: #268313
  * Applied patch from Ross Patterson <rossp@ppc.ucsc.edu> to add 
    customizeable syslinux.cfg and isolinux.cfg files. Closes: #275367

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sun,  3 Oct 2004 16:50:11 +0200

bootcd (2.43) unstable; urgency=low

  * Do not allow to define /mnt in NOT_TO_CD, because bootcd2disk 
    tries to mount the destination disk to /mnt and would 
    fail. This bug was reported by 
    Simon Walter <simon.walter@hp-factory.de>. Closes: #263304
  * Better autodetection for disks in bootcd2disk
  * New Variable TRYFIRST to decide which disks to try first in 
    autodetection.
  * Let people add and delete options given to mkisofs by 
    bootcdwrite. This bug was reported by 
    Simon Walter <simon.walter@hp-factory.de> including the exact 
    options he needed for mkisofs. Closes: #265357

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sat, 14 Aug 2004 11:33:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 
 Package: bootcd
 Architecture: all
-Suggests: ssh, bootcd-dvdplus, bootcd-hppa, bootcd-mkinitrd
-Depends: mkisofs, cpio, fdutils, file, dosfstools
-Recommends: syslinux, cdrecord
+Suggests: ssh, bootcd-dvdplus, bootcd-mkinitrd
+Depends: mkisofs, cpio, fdutils, file, dosfstools, bootcd-i386 | bootcd-hppa | bootcd-ia64
+Recommends: cdrecord
 Description: run your system from cd without need for disks
  This Package should be installed on a system with CD- or DVD-Writer.
  Copy your running Debian System on CD with the command bootcdwrite.
@@ -25,9 +25,18 @@
  initrd root fs, devfs, transparent-compression ISO 9660 fs and 
  syslinux/isolinux.
 
+Package: bootcd-i386
+Architecture: all
+Depends: bootcd (>=2.45), syslinux
+Description: bootcd extension to create images that can boot on i386.
+ This Package should be installed on a system with CD- or DVD-Writer.
+ With bootcd you can copy your system to cd, run it from cd without need for 
+ disks and restore your system on disk from bootcd. This package is needed to 
+ create images that can boot on i386.
+
 Package: bootcd-dvdplus
 Architecture: all
-Depends: bootcd (>=2.40), dvdplusrw | dvd+rw-tools
+Depends: bootcd (>=2.45), dvdplusrw | dvd+rw-tools
 Description: bootcd extension to use DVD+ media
  This Package should be installed on a system with DVD-Writer.
  This extension for bootcd is needed to burn DVD+ media with a DVD+RW drive.
@@ -35,7 +44,7 @@
 
 Package: bootcd-hppa
 Architecture: all
-Depends: bootcd (>=2.40), palo
+Depends: bootcd (>=2.45), palo
 Description: bootcd extension to create images that can boot on parisc/hppa
  This Package should be installed on a system with CD- or DVD-Writer.
  With bootcd you can copy your system to cd, run it from cd without need for 
@@ -44,7 +53,7 @@
 
 Package: bootcd-ia64
 Architecture: all
-Depends: bootcd (>=2.40), elilo
+Depends: bootcd (>=2.45), elilo
 Description: bootcd extension to create images that can boot on ia64
  This Package should be installed on a system with CD- or DVD-Writer.
  With bootcd you can copy your system to cd, run it from cd without need for 
@@ -53,7 +62,7 @@
 
 Package: bootcd-mkinitrd
 Architecture: all
-Depends: initrd-tools, discover | discover1, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 2.40)
+Depends: initrd-tools, discover | discover1, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 2.45)
 Description: bootcd extension to create an initrd-image usable for bootcd
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) prefix=`pwd`/debian/tmp/usr install
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	#dh_install --sourcedir=debian/tmp
	dh_movefiles --sourcedir=debian/tmp

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installman
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
# (Uncomment this next line if you have such packages.)
	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
#	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary-common binary install

## bootcd 2.48

=== Makefile ===
# Makefile 

SBIN=		bootcdmkinitrd
BIN=		bootcdwrite
USRLIBS=	bootcd-run.lib bootcd-check.lib bootcd-hppa.lib bootcd2disk.conf \
		default.txt bootcd-ia64.lib bootcd-i386.lib
USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
		S13bootcdflop.sh S12bootcdram.sh bootcdtest.sh
CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg

all:

clean:
	@rm -f ChangeLog.gz

install:	all
	@install -m 755 -o root -g root ${SBIN} ${DESTDIR}/usr/sbin
	@install -m 755 -o root -g root ${BIN} ${DESTDIR}/usr/bin
	@install -m 644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/bootcd
	@install -m 644 -o root -g root $(USRLIBS) $(DESTDIR)/usr/share/bootcd
	@install -m 755 -o root -g root $(USREXLIBS) $(DESTDIR)/usr/share/bootcd

=== debian/changelog ===
bootcd (2.48) unstable; urgency=low
  * Better handling of bootcd2disk.conf/EXT3=auto option. If running
    with INITRD, it is ok if CONFIG_EXT3_FS is defined as "m" or "y" to
    set EXT3 to yes. 
  * Changed bootcdmkinitrd to be able to handle also kernel 2.6 modules which 
    are named *.ko instead of *.o. 
  * Both of the bugs described above can lead to the type of bug reported 
    by: Rob Ristroph <rgr@sdf.lonestar.org> and Marc Brandes 
    <M.Brandes@tu-braunschweig.de> "cd cannot boot -- /sbin/init cannot
    open dev/console". I think now it is solved. Please test it and 
    file a new bug, if you can reproduce the problem again. Closes: #301598
  * Fixed bug reported by Wolfgang Schnitker <wolfgang.schnitker@gmx.de>:
    "mkinitrd looks for /bin/discover instead of /usr/bin/discover".
    bootcdmkinitrd now searches for discover in /sbin, /bin, and /usr/bin.
    Because entries done by bootcdmkinitrd in /etc/mkinitrd have not been
    marked before, it might be neccessary this time to delete the wrong entry
    by hand in /etc/mkinitrd/exe. Closes: #287189
  * Fixed bug reported by Kurt Roeckx <kurt@roeckx.be> regarding "FTBFS on
    !i386" with the "partial fix on #278151" by 
    Sven Mueller <debian@incase.de>. Closes: #292407
  * installed bootcdtest.sh in /usr/share/bootcd. This script may help to 
    reproduce problems in the future

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 21 Apr 2005 21:54:01 +0200

bootcd (2.47) unstable; urgency=low
  * Carsten Dinkelmann <Carsten.Dinkelmann@foobar-cpa.de> added automatic 
    detection of CD Boot device and many other fixes. See ChangeLog
  * the stuff about cd-burning is now ripped out as suggeste in #286359.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri,  4 Feb 2005 19:42:51 +0100

bootcd (2.46) unstable; urgency=low

  * Changed handling of NOTCOMPRESSED. Now You have to define the Path 
    as it is on the CD, (without $SRCDISK and with /var.ro instead of /var)
  * fixed bug in MKISOFS_OPTS. Now added options will be added
    before "arguments without options"
  * fixed improper copyright file reported by Justin Pryzby
    <justinpryzby@users.sourceforge.net>. Closes: #290076
  * fixed bug: "bootcd-386 is uninstallable on powerpc" reported by
    Graham Wilson <graham@mknod.org>. Closes: #278151
  * fixed bug: "MKISOFS_CHNG doesn't work" with the help of the patch
    from Alexey Naidyonov <growler@tula.net>. Closes: #290321
  * fixed bug: "SRCDISK should not default to non-existant nfs-mount;
    ISO_ONLY should default to "yes"" reportet by <nospam_40811@alltel.net>
    I think I will rip out the stuff about cd-burning altogether, as
    suggested in one of the next releases, because this makes really
    sence. Closes: #286359
  * I added an entry to the FAQ describing a workaround for a very old
    bug reported by David Schmitt <david@schmitt.edv-bus.at> that I could 
    not reproduce. The workaround was also reported by David. Closes: #244307
  * Added function get_border_links to solve problems with relative
    symlinks reported by Ioannis Ioannou <roryt@roryt.gr>. Closes: #286677

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sun, 23 Jan 2005 00:09:31 +0100

=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
Build-Depends: debhelper (>= 4)
Build-Depends-Indep: debhelper (>= 4)
Standards-Version: 3.6.1

Package: bootcd
Architecture: all
Suggests: ssh, bootcd-mkinitrd
Depends: mkisofs, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
Recommends: cdrecord
Description: run your system from cd without need for disks
 Build an image of your running Debian System with the command bootcdwrite.
 You can also build a bootcd ISO image via NFS on a remote System.
 When you run your system from CD you do not need any disks. All 
 changes will be done in ram. To reuse this changes at next boot time 
 you can save them on FLOPPY with the command bootcdflopcp. If booting
 from your CD-drive is not supported, booting from FLOPPY is possible. 
 It is possible to install a new system from the running CD with the 
 command bootcd2disk. Bootcd2disk can also find a target disk, format 
 it and make it bootable automatically. Bootcd also supports 
 initrd root fs, devfs, transparent-compression ISO 9660 fs and 
 syslinux/isolinux.

Package: bootcd-i386
Architecture: all
Depends: bootcd (>=2.48), syslinux
Description: bootcd extension to create images that can boot on i386
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on i386.

Package: bootcd-hppa
Architecture: all
Depends: bootcd (>=2.48), palo
Description: bootcd extension to create images that can boot on parisc/hppa
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on parisc/hppa.

Package: bootcd-ia64
Architecture: all
Depends: bootcd (>=2.48), elilo
Description: bootcd extension to create images that can boot on ia64
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on ia64.

Package: bootcd-mkinitrd
Architecture: all
Depends: initrd-tools, discover | discover1, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 2.48)
Description: bootcd extension to create an initrd-image usable for bootcd
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. 
 This Package should be installed on a system you want to copy to cd, if the
 kernel uses initrd (as all prebuild debian 2.4 kernels do).
 With the command bootcdmkinitrd your initrd.img can be changed to use 
 discover and to automatically detect the cdrom the bios used to boot.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install:
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	dh_installdirs -ptmp	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	dh_install --sourcedir=debian/tmp --fail-missing

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
	dh_installdebconf -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installcatalogs -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl -i
#	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep
.PHONY: build clean binary-indep binary install

## bootcd 2.51

=== debian/changelog ===
bootcd (2.51) unstable; urgency=low

  * small bugfixes (for bootcd2disk and bootcdflopcp)

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sat, 24 Dec 2005 13:27:54 +0100

bootcd (2.50) unstable; urgency=low

  * grub support added, as requested by 
    Todd Charron <tcharron@badkarma.mine.nu>. Closes: #333821 
  * corrected some typos reported by A Costa <agcosta@gis.net>. Closes: #331048

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 10 Oct 2005 17:20:03 +0200

bootcd (2.49) unstable; urgency=low
  * It is now possible to change files on the cd before creating the ISO.
    Closes: #272278
  * Fixed a bug with the NOT_TO_DISK/NOT_TO_RAM feature.
    Now the full path of files/dirs excluded by bootcd will be checked.
  * Waiting for usb is now done in bootcdproberoot. If the bootdevice is
    found waiting will be stopped, but if necessary waiting will be
    longer as before.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri,  5 Aug 2005 14:32:35 +0200

=== debian/control ===
--- 
+++ 
@@ -20,13 +20,13 @@
  from your CD-drive is not supported, booting from FLOPPY is possible. 
  It is possible to install a new system from the running CD with the 
  command bootcd2disk. Bootcd2disk can also find a target disk, format 
- it and make it bootable automatically. Bootcd also supports 
- initrd root fs, devfs, transparent-compression ISO 9660 fs and 
+ it and make it bootable automatically. Bootcd also supports lilo, 
+ grub, initrd root fs, devfs, transparent-compression ISO 9660 fs and 
  syslinux/isolinux.
 
 Package: bootcd-i386
 Architecture: all
-Depends: bootcd (>=2.48), syslinux
+Depends: bootcd (>=2.50), syslinux
 Description: bootcd extension to create images that can boot on i386
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. This package is needed to 
@@ -34,7 +34,7 @@
 
 Package: bootcd-hppa
 Architecture: all
-Depends: bootcd (>=2.48), palo
+Depends: bootcd (>=2.50), palo
 Description: bootcd extension to create images that can boot on parisc/hppa
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. This package is needed to 
@@ -42,7 +42,7 @@
 
 Package: bootcd-ia64
 Architecture: all
-Depends: bootcd (>=2.48), elilo
+Depends: bootcd (>=2.50), elilo
 Description: bootcd extension to create images that can boot on ia64
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. This package is needed to 
@@ -50,11 +50,11 @@
 
 Package: bootcd-mkinitrd
 Architecture: all
-Depends: initrd-tools, discover | discover1, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 2.48)
+Depends: initrd-tools, discover | discover1, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 2.50)
 Description: bootcd extension to create an initrd-image usable for bootcd
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. 
  This Package should be installed on a system you want to copy to cd, if the
- kernel uses initrd (as all prebuild debian 2.4 kernels do).
+ kernel uses initrd (as all prebuild debian 2.4 and 2.6 kernels do).
  With the command bootcdmkinitrd your initrd.img can be changed to use 
  discover and to automatically detect the cdrom the bios used to boot.

## bootcd 2.53

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SBIN=		bootcdmkinitrd
 BIN=		bootcdwrite
-USRLIBS=	bootcd-run.lib bootcd-check.lib bootcd-hppa.lib bootcd2disk.conf \
+USRLIBS=	bootcd-run.lib bootcd-check.lib bootcd-hppa.lib bootcd2disk.conf bootcd2disk.lib \
 		default.txt bootcd-ia64.lib bootcd-i386.lib
 USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
 		S13bootcdflop.sh S12bootcdram.sh bootcdtest.sh

=== debian/changelog ===
bootcd (2.53) unstable; urgency=low

  * Fixed typo "automaticly". Closes: #311454
  * Fixed more typos. Closes: #357441
  * Added Path to usbcore.ko to bootcdmkinitrd to fix bug reported by
    M.Blumentritt@tu-braunschweig.de. Closes #351887
  * Added minimal support for compressed cpio initrd as requested by
    Alessandro Polverini <alex@nibbles.it>. But the user has to make
    sure, that the initrd has all neccessary modules and tries to boot from
    cd. There is no bootcd_mkinitrd package for yaird. Closes #361970

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 12 Apr 2006 22:07:58 +0200

bootcd (2.52) unstable; urgency=low

  * Added fixes from Uwe Maier [umaier@gmx.de] to boot from kernels >2.6.8.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 23 Feb 2006 20:25:42 +0100

## bootcd 3.00

=== Makefile ===
# Makefile 

BIN=		bootcdwrite
USRLIBS=	bootcd-run.lib bootcd-check.lib bootcd-hppa.lib bootcd2disk.conf bootcd2disk.lib \
		default.txt bootcd-ia64.lib bootcd-i386.lib
USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
		S13bootcdflop.sh S12bootcdram.sh
CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg
INITTOP=	runbootcdmodprobe
INITPREMOUNT=	runbootcdproberoot
INITHOOK=       bootcdinitramfshook

all:

clean:
	@rm -f ChangeLog.gz

install:	all
	@install -m 755 -o root -g root ${BIN} ${DESTDIR}/usr/bin
	@install -m 644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/bootcd
	@install -m 644 -o root -g root $(USRLIBS) $(DESTDIR)/usr/share/bootcd
	@install -m 755 -o root -g root $(USREXLIBS) $(DESTDIR)/usr/share/bootcd
	@install -m 755 -o root -g root $(INITTOP) $(DESTDIR)/etc/initramfs-tools/scripts/init-top
	@install -m 755 -o root -g root $(INITPREMOUNT) $(DESTDIR)/etc/initramfs-tools/scripts/init-premount
	@install -m 755 -o root -g root $(INITHOOK) $(DESTDIR)/etc/initramfs-tools/hooks/

=== debian/changelog ===
bootcd (3.00) unstable; urgency=low

  * Deleted Package bootcd-mkinitrd. Closes: #401668
  * First Support to Create LVM System from bootcd with bootcd2disk.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri,  8 Dec 2006 12:09:19 +0100

bootcd (2.57) unstable; urgency=low

  * Added patch from Volker Wysk <post@volker-wysk.de> to fix xargs
    unmatched single quote. Closes: #399593

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri,  1 Dec 2006 09:30:51 +0100

bootcd (2.56) unstable; urgency=low

  * Make the use of bootcdmodprobe in mkinitramfs-tools optional. 
    Use initrd modificaions only when bootding from cd, to not
    break normal booting.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 27 Nov 2006 09:39:31 +0100

bootcd (2.55) unstable; urgency=low

  * added bootcd-mkinitramfs
  * Fixed Rock Ridge filename collision problem reported by Gabor Burjan
    <buga@buvoshetes.hu>, with patch provided by Gabor Burjan. Closes: #370356
  * Added required empty target binary-arch to rules file. Closes: #395581
  * bootcd-mkinitramfs now uses the init script from initramfs-tools. This
    should solve the problem reported by Jose Parrella
    <joseparrella@cantv.net>. Closes: #382293
  * Called bootcdwrite on a system with symlink /bin/sh -> dash.  Most 
    problems stated in bugreport were no bashism. Closes: #396544

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 21 Nov 2006 14:20:19 +0100

=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
Build-Depends: debhelper (>= 4)
Build-Depends-Indep: debhelper (>= 4)
Standards-Version: 3.6.1

Package: bootcd
Architecture: all
Suggests: ssh, bootcd-mkinitramfs
Depends: mkisofs, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
Recommends: cdrecord
Description: run your system from cd without need for disks
 Build an image of your running Debian System with the command bootcdwrite.
 You can also build a bootcd ISO image via NFS on a remote System.
 When you run your system from CD you do not need any disks. All 
 changes will be done in ram. To reuse this changes at next boot time 
 you can save them on FLOPPY with the command bootcdflopcp. If booting
 from your CD-drive is not supported, booting from FLOPPY is possible. 
 It is possible to install a new system from the running CD with the 
 command bootcd2disk. Bootcd2disk can also find a target disk, format 
 it and make it bootable automatically. Bootcd also supports lilo, 
 grub, initrd, udev, lvm, transparent-compression ISO 9660 fs and 
 syslinux/isolinux.

Package: bootcd-i386
Architecture: all
Depends: bootcd (>=2.56), syslinux
Description: bootcd extension to create images that can boot on i386
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on i386.

Package: bootcd-hppa
Architecture: all
Depends: bootcd (>=2.56), palo
Description: bootcd extension to create images that can boot on parisc/hppa
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on parisc/hppa.

Package: bootcd-ia64
Architecture: all
Depends: bootcd (>=2.56), elilo
Description: bootcd extension to create images that can boot on ia64
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on ia64.

Package: bootcd-mkinitramfs
Architecture: all
Suggests: discover | discover1
Depends: initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 2.56)
Conflicts: bootcd-mkinitrd
Description: With the installation of this bootcd extension your 
 initrd-image will be updated to be usable for bootcd.
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. 
 This Package should be installed on a system you want to copy to cd, if the
 kernel uses initrd (as all prebuild debian 2.4 and 2.6 kernels do).
 If you have also installed discover than it can be used to detect the needed 
 modules to boot.

=== debian/rules ===
--- 
+++ 
@@ -68,5 +68,8 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
+# Nothing to do for binary-arch
+binary-arch:
+	
 binary: binary-indep
 .PHONY: build clean binary-indep binary install

## bootcd 3.00ubuntu0.1

=== debian/changelog ===
bootcd (3.00ubuntu0.1) feisty-proposed; urgency=low

  * {bootcdmkinitrd,bootcdwrite}: Use /bin/bash rather than /bin/sh,
    LP: #112729.

 -- Dan Bernardic <dan.bernardic@gmail.com>  Sat,  5 May 2007 21:53:51 -0500
